// #autoload
// #name = DebriefTeamChat
// #version = 1.0
// #date = January 10, 2002
// #author = Paul Tousignant
// #warrior = UberGuy (FT)
// #email = uberguy@tribes2.org
// #web = http://uberguy.tribes2.org
// #category = UberGuy's Scripts
// #description = Enables team chat on the debrief GUI
// #category = UberGuy's Scripts
// #status = Release

package teamChatPkg {

	function DebriefGui::onWake(%this) {
		parent::onWake(%this);
		%bind = moveMap.getBinding(TeamMessageHud);
		debriefMap.bind(getField(%bind, 0), getField(%bind, 1), TeamDebriefChat);
	}

	// Distinguish between global chat...
	function toggleDebriefChat() {
		DB_ChatEntry.teamChat = false;
		parent::toggleDebriefChat();
   	}

	// ... and team chat
	function teamDebriefChat() {
		DB_ChatEntry.teamChat = true;
		Canvas.pushDialog(DB_ChatDlg);
	}

	// Send that chat message
	function DB_ChatEntry::sendChat(%this) {
		%text = %this.getValue();
		if (%text !$= "") {
			if (%this.teamChat)	commandToServer('teamMessageSent', %text);
			else commandToServer('messageSent', %text);
		}
		%this.setValue("");
		MessageHud_Edit.setValue("");
		Canvas.popDialog(DB_ChatDlg);
		// No parent call
	}
};

activatePackage(teamChatPkg);